# 자산 이전 내역 관리

'가상 자산 이전 허가 요청' 이후 단계에서 이전 내역을 추적하기 위해서, 각 VASP 들은 관여한 자산 이전 정보를 저장하고 상태를 관리할 것을 권장합니다.

다음과 같은 데이터들을 저장하시기 바랍니다.

* transferId: 자산 이전 내역에 부여하는 유일한 아이디
* status: 자산 이전 내역의 상태 정보
* 거래 자산 정보: symbol, amount 등과 같은 자산 이전 내역
* 송수신인 정보: 자산 이전 거래 당사자의 이름
* 송수신 VASP 정보: 자산 이전 VASP의 정보

이 중 status 는 다음 상태를 가질 수 있습니다.

* wait: 송신 VASP 가 수취 VASP 에 '자산 이전 허가 요청' 을하고 응답을 기다리는 상태입니다. (verified 또는 denied 상태로 바뀔 수 있습니다)
* verified: 수취 VASP 로부터 자산 이전 허가를 받은 상태입니다. 동시에 아직 블록체인에 트랜잭션을 전송하기 전입니다. (cancel 또는 confirm 상태로 바뀔 수 있습니다)
* denied: 수취 VASP로부터 자산 이전 허가를 거부당한 상태입니다. (더 이상 상태가 바뀌지 않습니다)
* confirmed: 블록체인 상에 트랜잭션이 완료되어 txid 를 업데이트한 상태. (beneficiary-confirmed 또는 beneficiary-denied 상태로 바뀔 수 있습니다)
* beneficiary-confirmed: 수취인 DB 에 반영 되어 VASP 간 자산 이전이 완료된 상태입니다. (더 이상 상태가 바뀌지 않습니다)
* beneficiary-denied: 수취 VASP 의 판단에 의거하여 수취인의 DB 에 자산 반영이 거부된 상태입니다. (더  이상 상태가 바뀌지 않습니다)
* canceled: 블록체인 상에 자산 이전이 실패되거나 중단되어 자산 이전이 종료된 상태입니다. (더 이상 상태가 바뀌지 않습니다)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://codevasp.gitbook.io/code-api-docs-ko/api-reference/undefined-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
